Subject: Ticket Assigned - I want my money back!!
From: Max <[email-masked]>
To: [email-masked]
Date: Mon, 10 May 2021 06:09:01 +0000

Hi Abdulqader Ahmed,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  I want my money back!! Sorry, we’re unable to deliver Floral Print A-line Midi Tiere... +3item(s) of order 2001825427 AWB 43843725096. Please check your email for more details.

Where is the email? Where is the phone call? Where is the follow up?? I received nothing!! This is unacceptable! I want my money back! I will continue escalating & pursuing this until I get a full refund!
I want my money back!

Sarah Fayed
Assistant Lecturer
English Department - British University in Egypt (BUE)
Misr Ismailia Desert Road
El Sherouk City - Cairo
Postal No. 11837 - P.O. Box 43
Tel.: +202 26300013/14/15/16/17/18
E-mail: [email-masked]
 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2553147